Bug 865937 - Review Request: libotr3 - OTR version 3 compat library
Review Request: libotr3 - OTR version 3 compat library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Michel Alexandre Salim
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-12 16:49 EDT by Paul Wouters
Modified: 2012-12-20 11:23 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 11:23:24 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
michel: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Paul Wouters 2012-10-12 16:49:10 EDT
Spec URL: ftp://ftp.nohats.ca/libotr3/libotr3.spec
SRPM URL: ftp://ftp.nohats.ca/libotr3/libotr3-3.2.1-2.fc18.src.rpm
Description: Off-the-Record Messaging Library for backwards compatibility.
Fedora Account System Username: pwouters
Comment 1 Michel Alexandre Salim 2012-10-12 23:31:39 EDT
Would you like to swap for the Obnam review? (Lars Wizenius' backup tool). It's pretty much done but the reviewer doesn't have regular access to his Fedora machine at the moment.

https://bugzilla.redhat.com/show_bug.cgi?id=827810

Thanks!
Comment 2 Michel Alexandre Salim 2012-10-16 11:37:12 EDT
Since this is a compatibility package, is there an updated libotr 4 spec I can try to parallel-install?

The current spec has this line:
"Provides: libotr == %{version}"

and I'm not sure how that will interact with another package that happens to actually be named libotr (cf. virtual provides with names like python(abi) that do not actually correspond to actual packages).

If the soname is bumped properly in 4.x, presumably there's no need for this virtual provide?
Comment 3 Paul Wouters 2012-10-19 18:17:47 EDT
Added:

ftp://ftp.nohats.ca/libotr/libotr.spec
ftp://ftp.nohats.ca/libotr/libotr-4.0.0-1.fc18.src.rpm

yes, the soname is bumped
Comment 4 Michel Alexandre Salim 2012-10-23 00:04:54 EDT
Just tested and libotr3 can be installed in parallel with libotr-4, and pidgin-otr continues to work.

Here's the review -- there are some small things that should be fixed (search for [!]), but most importantly, the -devel subpackage should depend on the main package of the same architecture:

Requires: %{name}%{?_isa} = %{version}-%{release}

http://fedoraproject.org/wiki/Packaging:Guidelines#Requiring_Base_Package

Most of the items probably should be fixed in libotr-4 as well, but that can be done when importing the package / updating libotr-4

APPROVED

Package Review
==============

Key:
[x] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

C/C++:
[x]: Header files in -devel subpackage, if present.
[x]: ldconfig called in %post and %postun if required.
[x]: Package does not contain any libtool archives (.la)
[x]: Package does not contain kernel modules.
[x]: Package contains no static executables.
[x]: Rpath absent or only used for internal libs.
[x]: Development (unversioned) .so files in -devel subpackage, if present.

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: %build honors applicable compiler flags or justifies otherwise.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package contains no bundled libraries.
[x]: Changelog in prescribed format.
[!]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf %{buildroot} present but not required
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
     Note: %defattr present but not needed
[x]: Macros in Summary, %description expandable at SRPM build time.
[-]: Package contains desktop file if it is a GUI application.
[x]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[!]: Fully versioned dependency in subpackages, if present.
[x]: Package complies to the Packaging Guidelines
[x]: Spec file lacks Packager, Vendor, PreReq tags.
[-]: Large documentation files are in a -doc subpackage, if required.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "GPL (v2 or later) (with incorrect FSF address)", "MIT/X11 (BSD like)
     LGPL (v2.1) (with incorrect FSF address)", "GPL (v2) (with incorrect FSF
     address)", "LGPL (v2.1) (with incorrect FSF address)", "Unknown or
     generated". 5 files have unknown license. Detailed output of licensecheck
     in /home/michel/sources/fedora/reviews/865937-libotr3/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[!]: If the package is under multiple licenses, the licensing breakdown must
     be documented in the spec.
[x]: Package is named using only allowed ASCII characters.
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
     Note: Package contains no Conflicts: tag(s)
[x]: Package do not use a name that already exist
[x]: Package obeys FHS, except libexecdir and /usr/target.
[x]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Package installs properly.
[x]: Package is not relocatable.
[x]: Requires correct, justified where necessary.
[x]: CheckResultdir
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file is legible and written in American English.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: Package contains systemd file(s) if in need.
[x]: File names are valid UTF-8.
[x]: Useful -debuginfo package or justification otherwise.

===== SHOULD items =====

Generic:
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: The placement of pkgconfig(.pc) files are correct.
[-]: Scriptlets must be sane, if used.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX / PatchY prefixed with %{name}.
     Note: Source0 (libotr-3.2.1.tar.gz)
[x]: SourceX is a working URL.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
[!]: Packages should try to preserve timestamps of original installed files.
     install performed without -p
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: libotr3-devel-3.2.1-2.fc16.x86_64.rpm
          libotr3-debuginfo-3.2.1-2.fc16.x86_64.rpm
          libotr3-3.2.1-2.fc16.src.rpm
          libotr3-3.2.1-2.fc16.x86_64.rpm
libotr3.src: W: spelling-error Summary(en_US) compat -> compact, combat, cowpat
libotr3.src:43: W: macro-in-comment %{_includedir}
libotr3.src:44: W: macro-in-comment %{_includedir}
libotr3.src:44: W: macro-in-comment %{_includedir}
libotr3.src:48: W: macro-in-comment %{_includedir}
libotr3.src:48: W: mixed-use-of-spaces-and-tabs (spaces: line 48, tab: line 37)
libotr3.x86_64: W: spelling-error Summary(en_US) compat -> compact, combat, cowpat
libotr3.x86_64: W: shared-lib-calls-exit /usr/lib64/libotr.so.2.2.1 exit@GLIBC_2.2.5
libotr3.x86_64: E: incorrect-fsf-address /usr/share/doc/libotr3-3.2.1/COPYING.LIB
libotr3.x86_64: E: incorrect-fsf-address /usr/share/doc/libotr3-3.2.1/COPYING
4 packages and 0 specfiles checked; 2 errors, 8 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint libotr3 libotr3-devel libotr3-debuginfo
libotr3.x86_64: I: enchant-dictionary-not-found en_US
libotr3.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libotr.so.2.2.1 linux-vdso.so.1
libotr3.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libotr.so.2.2.1 /lib64/libdl.so.2
libotr3.x86_64: W: unused-direct-shlib-dependency /usr/lib64/libotr.so.2.2.1 /lib64/libgpg-error.so.0
libotr3.x86_64: W: shared-lib-calls-exit /usr/lib64/libotr.so.2.2.1 exit@GLIBC_2.2.5
libotr3.x86_64: E: incorrect-fsf-address /usr/share/doc/libotr3-3.2.1/COPYING.LIB
libotr3.x86_64: E: incorrect-fsf-address /usr/share/doc/libotr3-3.2.1/COPYING
3 packages and 0 specfiles checked; 2 errors, 4 warnings.
# echo 'rpmlint-done:'



Requires
--------
libotr3-devel-3.2.1-2.fc16.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /usr/bin/pkg-config
    libgcrypt-devel >= 1.2.0
    libotr.so.2()(64bit)
    libotr3 = 3.2.1-2.fc16

libotr3-debuginfo-3.2.1-2.fc16.x86_64.rpm (rpmlib, GLIBC filtered):
    

libotr3-3.2.1-2.fc16.x86_64.rpm (rpmlib, GLIBC filtered):
    
    /sbin/ldconfig
    libc.so.6()(64bit)
    libdl.so.2()(64bit)
    libgcrypt >= 1.2.0
    libgcrypt.so.11()(64bit)
    libgcrypt.so.11(GCRYPT_1.2)(64bit)
    libgpg-error.so.0()(64bit)
    pkgconfig
    rtld(GNU_HASH)



Provides
--------
libotr3-devel-3.2.1-2.fc16.x86_64.rpm:
    
    libotr3-devel = 3.2.1-2.fc16
    libotr3-devel(x86-64) = 3.2.1-2.fc16
    pkgconfig(libotr) = 3.1.0

libotr3-debuginfo-3.2.1-2.fc16.x86_64.rpm:
    
    libotr3-debuginfo = 3.2.1-2.fc16
    libotr3-debuginfo(x86-64) = 3.2.1-2.fc16

libotr3-3.2.1-2.fc16.x86_64.rpm:
    
    libotr = 3.2.1
    libotr.so.2()(64bit)
    libotr3 = 3.2.1-2.fc16
    libotr3(x86-64) = 3.2.1-2.fc16



MD5-sum check
-------------
http://otr.cypherpunks.ca/libotr-3.2.1.tar.gz :
  CHECKSUM(SHA256) this package     : d428eaa584984baa09450cca07742e0ac8fc62401f3a1c556e3025023369cdf4
  CHECKSUM(SHA256) upstream package : d428eaa584984baa09450cca07742e0ac8fc62401f3a1c556e3025023369cdf4


Generated by fedora-review 0.3.0 (c78e275) last change: 2012-09-24
Buildroot used: fedora-16-x86_64
Command line :/usr/bin/fedora-review -b 865937
Comment 5 Paul Wouters 2012-10-24 12:47:40 EDT
New Package SCM Request
=======================
Package Name: libotr3
Short Description: Off-the-Record Messaging Library for backwards compatibility.
Owners: pwouters
Branches: f17 f18 el6
Comment 6 Gwyn Ciesla 2012-10-24 12:51:01 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2012-10-26 20:10:38 EDT
libotr3-3.2.1-3.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/libotr3-3.2.1-3.fc18
Comment 8 Fedora Update System 2012-10-26 20:22:52 EDT
libotr3-3.2.1-3.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/libotr3-3.2.1-3.fc17
Comment 9 Fedora Update System 2012-10-27 20:50:35 EDT
libotr3-3.2.1-3.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-12-20 11:23:26 EST
libotr3-3.2.1-3.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.